# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Maintainer: Jonathan Wiersma <arch aur at jonw dot org>
# Contributor: Jonathan Wiersma <arch aur at jonw dot org>
# Contributor: sracker <smb.sac@gmail.com>

_pkgname=xdebug
_phpver=74
pkgname=php${_phpver}-${_pkgname}
pkgver=3.1.6
pkgrel=3
pkgdesc="PHP debugging extension"
arch=('x86_64')
url="https://www.xdebug.org"
license=('GPL')
depends=("php${_phpver}")
makedepends=("php${_phpver}-dev")
backup=('etc/php/conf.d/xdebug.ini')
source=("https://xdebug.org/files/${_pkgname}-${pkgver}.tgz"
	'xdebug.ini')
sha256sums=('554eca0b4d5b7b93cb2258fab0b0bd84cc8721e74322a2255c14e137cbcad5d2'
            'f65b03f2f2a54a4e2eda476661d4eb4cd9199fdbbe2111eeb6f7a61c4293de7c')

build() {
  cd "${_pkgname}-${pkgver}"
  phpize${_phpver}
  ./configure --with-php-config=php-config${_phpver} \
    --prefix=/usr --enable-xdebug
  make
}

package() {
  cd "${_pkgname}-${pkgver}"
  make INSTALL_ROOT="$pkgdir" install
  install -Dm 644 "$srcdir"/xdebug.ini "$pkgdir/etc/php${_phpver}/conf-available/xdebug.ini"
  install -Dm 644 xdebug.ini "$pkgdir/usr/share/doc/${pkgname}/xdebug.ini"
}
